Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Interface BuildText

    public interface BuildText

This interface organizes textual information for the builder package.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Nested Class Summary
`static class` | `BuildText.Type` Token types.

Field Summary
`static java.lang.String` | `AFTERROOT` Builder error.
`static java.lang.String` | `ATTCHAR` Scanner Error.
`static java.lang.String` | `ATTCLOSE` Scanner Error.
`static java.lang.String` | `BEFOREROOT` Builder error.
`static byte[]` | `CDATA` CDATA token.
`static java.lang.String` | `CDATASEC` Scanner Error.
`static java.lang.String` | `CHARACTER` Scanner Error.
`static java.lang.String` | `CLOSEMISS` Builder error.
`static java.lang.String` | `CLOSING` Scanner Error.
`static java.lang.String` | `CLOSINGTAG` Tag Mismatch.
`static java.lang.String` | `COMMDASH` Scanner Error.
`static java.lang.String` | `COMMENTDASH` Scanner Error.
`static java.lang.String` | `CONTCDATA` Scanner Error.
`static java.lang.String` | `CREATENODES` Create Database information.
`static java.lang.String` | `DECLENCODE` Scanner Error.
`static java.lang.String` | `DECLSTANDALONE` Scanner Error.
`static java.lang.String` | `DECLSTART` Scanner Error.
`static java.lang.String` | `DECLVERSION` Scanner Error.
`static java.lang.String` | `DECLWRONG` Scanner Error.
`static java.lang.String` | `DOCEMPTY` Builder error.
`static java.lang.String` | `DUPLATT` Attribute Duplicates.
`static byte[]` | `ENCOD` XML Document Encoding.
`static java.lang.String` | `INVALID` Scanner Error.
`static java.lang.String` | `INVALIDENTITY` Scanner Error.
`static java.lang.String` | `MOREROOTS` Tag Mismatch.
`static java.lang.String` | `PARSEINVALID` Parser Error.
`static java.lang.String` | `PILC` Scanner Error.
`static java.lang.String` | `PINAME` Scanner Error.
`static java.lang.String` | `PIRES` Scanner Error.
`static java.lang.String` | `PITEXT` Scanner Error.
`static java.lang.String` | `PIXML` Scanner Error.
`static java.lang.String` | `SCANPOS` Scanner Position.
`static byte[]` | `STANDALONE` XML Document Standalone flag.
`static byte[]` | `STANDNO` XML Document Standalone flag.
`static byte[]` | `STANDYES` XML Document Standalone flag.
`static java.lang.String` | `TAGEMPTY` Empty Tag.
`static java.lang.String` | `TYPEAFTER` Scanner Error.
`static java.lang.String` | `UNCLOSED` Scanner Error.
`static byte[]` | `VERS` XML Document Version.
`static byte[]` | `VERS1` XML Document Version.
`static byte[]` | `VERS2` XML Document Version.
`static java.lang.String` | `XMLCHAR` Scanner Error.
`static byte[]` | `XMLDECL` XML Document Declaration.
`static java.lang.String` | `XMLENT` Scanner Error.

Field Detail

### AFTERROOT

    static final java.lang.String AFTERROOT

  Builder error.

  See Also:
    Constant Field Values

### ATTCHAR

    static final java.lang.String ATTCHAR

  Scanner Error.

  See Also:
    Constant Field Values

### ATTCLOSE

    static final java.lang.String ATTCLOSE

  Scanner Error.

  See Also:
    Constant Field Values

### BEFOREROOT

    static final java.lang.String BEFOREROOT

  Builder error.

  See Also:
    Constant Field Values

### CDATA

    static final byte[] CDATA

  CDATA token.

### CDATASEC

    static final java.lang.String CDATASEC

  Scanner Error.

  See Also:
    Constant Field Values

### CHARACTER

    static final java.lang.String CHARACTER

  Scanner Error.

  See Also:
    Constant Field Values

### CLOSEMISS

    static final java.lang.String CLOSEMISS

  Builder error.

  See Also:
    Constant Field Values

### CLOSING

    static final java.lang.String CLOSING

  Scanner Error.

  See Also:
    Constant Field Values

### CLOSINGTAG

    static final java.lang.String CLOSINGTAG

  Tag Mismatch.

  See Also:
    Constant Field Values

### COMMDASH

    static final java.lang.String COMMDASH

  Scanner Error.

  See Also:
    Constant Field Values

### COMMENTDASH

    static final java.lang.String COMMENTDASH

  Scanner Error.

  See Also:
    Constant Field Values

### CONTCDATA

    static final java.lang.String CONTCDATA

  Scanner Error.

  See Also:
    Constant Field Values

### CREATENODES

    static final java.lang.String CREATENODES

  Create Database information.

  See Also:
    Constant Field Values

### DECLENCODE

    static final java.lang.String DECLENCODE

  Scanner Error.

  See Also:
    Constant Field Values

### DECLSTANDALONE

    static final java.lang.String DECLSTANDALONE

  Scanner Error.

  See Also:
    Constant Field Values

### DECLSTART

    static final java.lang.String DECLSTART

  Scanner Error.

  See Also:
    Constant Field Values

### DECLVERSION

    static final java.lang.String DECLVERSION

  Scanner Error.

  See Also:
    Constant Field Values

### DECLWRONG

    static final java.lang.String DECLWRONG

  Scanner Error.

  See Also:
    Constant Field Values

### DOCEMPTY

    static final java.lang.String DOCEMPTY

  Builder error.

  See Also:
    Constant Field Values

### DUPLATT

    static final java.lang.String DUPLATT

  Attribute Duplicates.

  See Also:
    Constant Field Values

### ENCOD

    static final byte[] ENCOD

  XML Document Encoding.

### INVALID

    static final java.lang.String INVALID

  Scanner Error.

  See Also:
    Constant Field Values

### INVALIDENTITY

    static final java.lang.String INVALIDENTITY

  Scanner Error.

  See Also:
    Constant Field Values

### MOREROOTS

    static final java.lang.String MOREROOTS

  Tag Mismatch.

  See Also:
    Constant Field Values

### PARSEINVALID

    static final java.lang.String PARSEINVALID

  Parser Error.

  See Also:
    Constant Field Values

### PILC

    static final java.lang.String PILC

  Scanner Error.

  See Also:
    Constant Field Values

### PINAME

    static final java.lang.String PINAME

  Scanner Error.

  See Also:
    Constant Field Values

### PIRES

    static final java.lang.String PIRES

  Scanner Error.

  See Also:
    Constant Field Values

### PITEXT

    static final java.lang.String PITEXT

  Scanner Error.

  See Also:
    Constant Field Values

### PIXML

    static final java.lang.String PIXML

  Scanner Error.

  See Also:
    Constant Field Values

### SCANPOS

    static final java.lang.String SCANPOS

  Scanner Position.

  See Also:
    Constant Field Values

### STANDALONE

    static final byte[] STANDALONE

  XML Document Standalone flag.

### STANDNO

    static final byte[] STANDNO

  XML Document Standalone flag.

### STANDYES

    static final byte[] STANDYES

  XML Document Standalone flag.

### TAGEMPTY

    static final java.lang.String TAGEMPTY

  Empty Tag.

  See Also:
    Constant Field Values

### TYPEAFTER

    static final java.lang.String TYPEAFTER

  Scanner Error.

  See Also:
    Constant Field Values

### UNCLOSED

    static final java.lang.String UNCLOSED

  Scanner Error.

  See Also:
    Constant Field Values

### VERS

    static final byte[] VERS

  XML Document Version.

### VERS1

    static final byte[] VERS1

  XML Document Version.

### VERS2

    static final byte[] VERS2

  XML Document Version.

### XMLCHAR

    static final java.lang.String XMLCHAR

  Scanner Error.

  See Also:
    Constant Field Values

### XMLDECL

    static final byte[] XMLDECL

  XML Document Declaration.

### XMLENT

    static final java.lang.String XMLENT

  Scanner Error.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD